Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.instances.add_to_placement_group(
instance_id="instance_id",
project_id=0,
region_id=0,
servergroup_id="47003067-550a-6f17-93b6-81ee16ba061e",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.Instances.AddToPlacementGroup(
context.TODO(),
"instance_id",
cloud.InstanceAddToPlacementGroupParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
ServergroupID: "47003067-550a-6f17-93b6-81ee16ba061e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}curl --request POST \
--url https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/put_into_servergroup \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"servergroup_id": "47003067-550a-6f17-93b6-81ee16ba061e"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({servergroup_id: '47003067-550a-6f17-93b6-81ee16ba061e'})
};
fetch('https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/put_into_servergroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Instances
Put instance into the server group
Add an instance to a server group. The instance must not already be in a server group. Bare metal servers do not support server groups.
POST
/
cloud
/
v1
/
instances
/
{project_id}
/
{region_id}
/
{instance_id}
/
put_into_servergroup
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.instances.add_to_placement_group(
instance_id="instance_id",
project_id=0,
region_id=0,
servergroup_id="47003067-550a-6f17-93b6-81ee16ba061e",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.Instances.AddToPlacementGroup(
context.TODO(),
"instance_id",
cloud.InstanceAddToPlacementGroupParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
ServergroupID: "47003067-550a-6f17-93b6-81ee16ba061e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Instance ID
Body
application/json
InstancePutServerGroup schema
Anti-affinity or affinity or soft-anti-affinity server group ID.
Response
200 - application/json
List of created tasks
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I